import axios from '@/libs/api.request'
import config from '@/config'
export const refQuery = (url,q) => {
  console.log(">>>>>>>>>>>.",url,q)
  return axios.request({
    url: url,
    method: 'post',
    data:q
  })
}
export const ossConfig = (url,q) => {
  return axios.request({
    url: url,
    method: 'post',
    data:q
  })
}
export const getApp = () => {
  let appkey=config.fromappkey?config.fromappkey:config.appkey
  return axios.request({
    url: "/web/common/appCtl/getApp",
    method: 'post',
    data:{appkey:appkey}
  })
}

export const saveAuths = (auths) => {
  return axios.request({
    url: "/web/auth/authCtl/saveAuths",
    method: 'post',
    data:{auths:auths}
  })
}
export const findAuthsByRoles = (roleids) => {
  return axios.request({
    url: "/web/auth/authCtl/findAuthsByRoles",
    method: 'post',
    data:{roleids:roleids}
  })
}




